OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.KHR.BlendEquationAdvanced

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetKHRBlendEquationAdvanced :: MonadIO m => m Bool
- gl_KHR_blend_equation_advanced :: Bool
- gl_COLORBURN_KHR :: GLenum
- gl_COLORDODGE_KHR :: GLenum
- gl_DARKEN_KHR :: GLenum
- gl_DIFFERENCE_KHR :: GLenum
- gl_EXCLUSION_KHR :: GLenum
- gl_HARDLIGHT_KHR :: GLenum
- gl_HSL_COLOR_KHR :: GLenum
- gl_HSL_HUE_KHR :: GLenum
- gl_HSL_LUMINOSITY_KHR :: GLenum
- gl_HSL_SATURATION_KHR :: GLenum
- gl_LIGHTEN_KHR :: GLenum
- gl_MULTIPLY_KHR :: GLenum
- gl_OVERLAY_KHR :: GLenum
- gl_SCREEN_KHR :: GLenum
- gl_SOFTLIGHT_KHR :: GLenum
- glBlendBarrierKHR :: MonadIO m => m ()

# Extension Support

glGetKHRBlendEquationAdvanced :: MonadIO m => m Bool

Is the KHR_blend_equation_advanced extension supported?

gl_KHR_blend_equation_advanced :: Bool

Is the KHR_blend_equation_advanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRBlendEquationAdvanced` in those cases instead.

# Enums

gl_COLORBURN_KHR :: GLenum

gl_COLORDODGE_KHR :: GLenum

gl_DARKEN_KHR :: GLenum

gl_DIFFERENCE_KHR :: GLenum

gl_EXCLUSION_KHR :: GLenum

gl_HARDLIGHT_KHR :: GLenum

gl_HSL_COLOR_KHR :: GLenum

gl_HSL_HUE_KHR :: GLenum

gl_HSL_LUMINOSITY_KHR :: GLenum

gl_HSL_SATURATION_KHR :: GLenum

gl_LIGHTEN_KHR :: GLenum

gl_MULTIPLY_KHR :: GLenum

gl_OVERLAY_KHR :: GLenum

gl_SCREEN_KHR :: GLenum

gl_SOFTLIGHT_KHR :: GLenum

# Functions

glBlendBarrierKHR :: MonadIO m => m ()

This command is an alias for `glBlendBarrier`.